     procedure Enter_Names;
          var
               Answer     : Char;
          begin
               Draw_Status_Border;
               BDOS(13);
               assign(DataFile,DTAFile);
               if not Exist(DTAFile) then Rewrite(DataFile);
               Reset(DataFile);
               {$I-} seek(DataFile,FileSize(DataFile)) {$I+};
               DiskFull := (IOresult = $F0);
               if DiskFull then
               begin
                    Write_Status('+++ DISK FULL. Exit and ERASE Unnecessary Files +++');
                    Close(Datafile);
                    Exit
               end;
               with Individual do
               begin
               repeat
                    ClrScr;
                    Draw_Status_Border;
                    Write_Status('Enter a Carriage Return to Leave Blank');
                    Get_InStr(1,1,'Enter First Name            : ',20);
                    First_Name := InStr;
                    Get_InStr(1,2,'Enter Last Name             : ',20);
                    Last_Name := InStr;
                    Get_InStr(1,3,'Enter Address1              : ',30);
                    Address1 := InStr;
                    Get_InStr(1,4,'Enter Address2              : ',30);
                    Address2 := InStr;
                    Get_InStr(1,5,'Enter City                  : ',15);
                    City := InStr;
                    Get_InStr(1,6,'Enter Two Letter State Code : ',2);
                    State := AllCaps(InStr);
                    Get_InStr(1,7,'Enter Zip Code              : ',10);
                    Zip_Code := InStr;
                    GotoXY(1,18);
                    writeln(BEL,'Enter Phone Numbers EXACTLY As You Would Dial Them.');
                    writeln('Use Punctuation To Make Them More Readable If Desired.');
                    write('Examples: 15551212  1-555-1212  1(615)555-1212  1/615/555-1212');
                    Get_InStr(1,8,'Enter Home Phone Number     : ',17);
                    Home_Phone := InStr;
                    Get_InStr(1,9,'Enter Business Phone Number : ',17);
                    Business_phone := InStr;
                    EraseXY(18,20);
                    Get_InStr(1,10,'Enter Occupation            : ',30);
                    Occupation := InStr;
                    Get_InStr(1,11,'Enter Primary Computer Type : ',15);
                    Computer1 := InStr;
                    Get_InStr(1,12,'Enter Second Computer Type  : ',15);
                    Computer2 := InStr;
                    Write_Status('Separate Topics With a Comma');
                    Get_InStr(1,13,'Enter Areas of Expertise    : ',30);
                    Topics := InStr;
                    Write_Status('Enter a Carriage Return to Leave Blank');
                    Get_InStr(1,14,'Enter Membership ID Number  : ',20);
                    MemberID := InStr;
                    Get_Date (1,15,'Enter Date Member Joined    : ');
                    Joined_Date := Date;
                    Get_Date (1,16,'Enter Expiration Date       : ');
                    Exp_Date := Date;
                    Write_Status('Enter ''Y'' or ''N''');
                    Get_YesNo(1,18,'Are ALL Entries Correct (Y/N) :');
                    If YesNo in ['Y','y'] then
                    begin
                         write(DataFile,Individual);
                         Flush(DataFile);
                    end;
                    Get_YesNo(1,20,'Enter Another Person (Y/N) :');
               until YesNo in ['N','n'];
               end;
               Close(DataFile);
          end;
